﻿Imports System.Data
Partial Class VB
    Inherits System.Web.UI.Page
    Protected Sub Page_Load(sender As Object, e As EventArgs) Handles Me.Load
        If Not Me.IsPostBack Then
            Dim dt As New DataTable()
            dt.Columns.AddRange(New DataColumn(2) {New DataColumn("Id"), New DataColumn("Name"), New DataColumn("Country")})
            dt.Rows.Add(1, "John Hammond", "United States")
            dt.Rows.Add(2, "Mudassar Khan", "India")
            dt.Rows.Add(3, "Suzanne Mathews", "France")
            dt.Rows.Add(4, "Robert Schidner", "Russia")
            GridView1.DataSource = dt
            GridView1.DataBind()
        End If
    End Sub

    Protected Sub OnRowCommand(ByVal sender As Object, ByVal e As GridViewCommandEventArgs)
        'Reference the GridView Row using RowIndex from CommandArgument.
        Dim selectedRow As GridViewRow = GridView1.Rows(Convert.ToInt32(e.CommandArgument))

        'Fetch values from BoundField columns.
        lblId.Text = selectedRow.Cells(0).Text

        lblName.Text = selectedRow.Cells(1).Text

        'Fetch values from TemplateField columns.
        lblCountry.Text = CType(selectedRow.FindControl("lblCountry"), Label).Text

        'Display the ModalPopup.
        mpe.Show()
    End Sub
End Class
